Name:          meson
Version:       0.47.2
Release:       1mamba
Summary:       The Meson Build System
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://mesonbuild.com/
## GITSOURCE https://github.com/mesonbuild/meson.git 0.43.0
Source:        https://github.com/mesonbuild/meson.git/%{version}/meson-%{version}.tar.bz2
Patch0:        meson-0.47.1-rpm-macros.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libpython36-devel
BuildRequires: python-pathlib-py3
Requires:      python-pathlib-py3
Requires:      python36 >= %python36_version
Requires:      ninja
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Meson Build System.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{optflags}" %{__python36} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python36} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python36_inc} \
   --install-lib=%{python36_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

install -D -m0644 data/macros.meson %{buildroot}%{_sysconfdir}/rpm/macros.meson

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.meson
%doc COPYING

%changelog
* Sun Aug 26 2018 Automatic Build System <autodist@mambasoft.it> 0.47.2-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.47.1-2mamba
- fix rpm-macros patch to pass DESTDIR in meson_install

* Thu Jul 12 2018 Automatic Build System <autodist@mambasoft.it> 0.47.1-1mamba
- automatic version update by autodist

* Tue Jul 03 2018 Automatic Build System <autodist@mambasoft.it> 0.47.0-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 0.46.1-1mamba
- automatic version update by autodist

* Tue Apr 24 2018 Automatic Build System <autodist@mambasoft.it> 0.46.0-1mamba
- automatic version update by autodist

* Mon Apr 16 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.1-4mamba
- apply patch unapplied in previous release

* Sun Apr 15 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.1-3mamba
- fixes to macros.meson patch

* Thu Mar 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.1-2mamba
- install rpm macros.meson file

* Thu Mar 22 2018 Automatic Build System <autodist@mambasoft.it> 0.45.1-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 0.45.0-1mamba
- automatic version update by autodist

* Thu Feb 22 2018 Automatic Build System <autodist@mambasoft.it> 0.44.1-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 0.44.0-1mamba
- automatic version update by autodist

* Wed Nov 15 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43.0-2mamba
- rebuilt with python36

* Wed Nov 15 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43.0-1mamba
- package created using the webbuild interface
